#### D.12.6.15 qbase

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  qbase(I); I zero-dimensional ideal

Return:
  ideal: A monomial basis of the quotient between the basering and the ideal I, sorted according to the basering order.

Example:

    LIB "rootsmr.lib";
    ring r = 0,(x,y,z),dp;
    ideal i = 2x2,-y2,z3;
    i = std(i);
    ideal b = qbase(i);
    b;
    ==> b[1]=xyz2
    ==> b[2]=xyz
    ==> b[3]=xz2
    ==> b[4]=yz2
    ==> b[5]=xy
    ==> b[6]=xz
    ==> b[7]=yz
    ==> b[8]=z2
    ==> b[9]=x
    ==> b[10]=y
    ==> b[11]=z
    ==> b[12]=1
    b = kbase(i);
    b; // Compare this with the result of qbase
    ==> b[1]=xyz2
    ==> b[2]=yz2
    ==> b[3]=xz2
    ==> b[4]=z2
    ==> b[5]=xyz
    ==> b[6]=yz
    ==> b[7]=xz
    ==> b[8]=z
    ==> b[9]=xy
    ==> b[10]=y
    ==> b[11]=x
    ==> b[12]=1

See also: kbase.

User manual for Singular version 4.4.1, 2025, generated by texi2html.